[OpenWrt-Devel] [PATCH] scripts: fix getver git dir check

Felix Kaechele heffer at fedoraproject.org
Sat Feb 14 14:24:04 EST 2015


Git internals are referenced by .git which isn't necessarily a
directory. It may also be a file that references the actual .git
directory using the gitdir directive.

If .git is assumed to be a directory the build will not be able to get
the correct version when openwrt is included as a git submodule because
when used as a submodule .git will actually be a file referencing to a
subdirectory in the parent's git dir.

When the correct version is not detected some image generation tools
will fail because the OpenWrt string will be 'OpenWrtunknown' which is
too long for some header formats.

Signed-off-by: Felix Kaechele <heffer at fedoraproject.org>
---
 scripts/getver.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/getver.sh b/scripts/getver.sh
index 8bb384b..4643ca6 100755
--- a/scripts/getver.sh
+++ b/scripts/getver.sh
@@ -17,7 +17,7 @@ try_svn() {
 }
 
 try_git() {
-	[ -d .git ] || return 1
+	[ -e .git ] || return 1
 	REV="$(git log | grep -m 1 git-svn-id | awk '{ gsub(/.*@/, "", $0); print $1 }')"
 	REV="${REV:+r$REV}"
 	[ -n "$REV" ]
-- 
2.1.0
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-devel



More information about the openwrt-devel mailing list